Intermittent browser_ext_windows_update.js | Got expected value for window.state - Expected: minimized, Actual: maximized - | Expected window state to be STATE_MINIMIZED - Got 1, expected 2

RESOLVED FIXED

Status

()

Toolkit
WebExtensions: Frontend
P3
normal
RESOLVED FIXED
2 years ago
9 months ago

People

(Reporter: aryx, Unassigned)

Tracking

({intermittent-failure})

Trunk
intermittent-failure
Points:
---

Firefox Tracking Flags

(firefox48 affected)

Details

(Whiteboard: triaged)

https://treeherder.mozilla.org/logviewer.html#?job_id=7975740&repo=fx-team

20:32:57     INFO -  408 INFO TEST-PASS | browser/components/extensions/test/browser/browser_ext_windows_update.js | Expected window state to be STATE_MAXIMIZED -
20:32:57     INFO -  409 INFO TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/browser_ext_windows_update.js | Got expected value for window.state - Expected: minimized, Actual: maximized -
20:32:57     INFO -  Stack trace:
20:32:57     INFO -  chrome://mochikit/content/tests/SimpleTest/ExtensionTestUtils.js:testHandler:55
20:32:57     INFO -  chrome://mochikit/content/tests/SimpleTest/ExtensionTestUtils.js:testResult:69
20:32:57     INFO -  chrome://mochikit/content/tests/SimpleTest/specialpowersAPI.js:SpecialPowersAPI.prototype.loadExtension/listener:1941
20:32:57     INFO -  chrome://mochikit/content/tests/SimpleTest/ChromePowers.js:ChromePowers.prototype._sendReply:35
20:32:57     INFO -  chrome://mochikit/content/tests/SimpleTest/SpecialPowersObserverAPI.js:SpecialPowersObserverAPI.prototype._receiveMessageAPI/resultListener:542
20:32:57     INFO -  resource://devtools/shared/event-emitter.js:EventEmitter_emit:147
20:32:57     INFO -  resource://gre/modules/Extension.jsm:emit:1085
20:32:57     INFO -  chrome://extensions/content/ext-test.js:.test.assertEq:64
20:32:57     INFO -  resource://gre/modules/Extension.jsm:callFunction:385
20:32:57     INFO -  resource://gre/modules/Schemas.jsm:inject/stub:1008
20:32:57     INFO -  moz-extension://64af47f0-06f8-9145-ba7f-e5d5c23b7230/%7Bea8ac655-9d42-2a48-8aaa-12d94f658443%7D.js:updateWindow/<:29
20:32:57     INFO -  Not taking screenshot here: see the one that was previously logged
20:32:57     INFO -  410 INFO TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/browser_ext_windows_update.js | Expected window state to be STATE_MINIMIZED - Got 1, expected 2
20:32:57     INFO -  Stack trace:
20:32:57     INFO -  chrome://mochikit/content/browser-test.js:test_is:965
20:32:57     INFO -  chrome://mochitests/content/browser/browser/components/extensions/test/browser/browser_ext_windows_update.js:testWindowUpdate/<:116
20:32:57     INFO -  chrome://mochikit/content/tests/SimpleTest/ExtensionTestUtils.js:testMessage:75
20:32:57     INFO -  chrome://mochikit/content/tests/SimpleTest/specialpowersAPI.js:SpecialPowersAPI.prototype.loadExtension/listener:1941
20:32:57     INFO -  chrome://mochikit/content/tests/SimpleTest/ChromePowers.js:ChromePowers.prototype._sendReply:35
20:32:57     INFO -  chrome://mochikit/content/tests/SimpleTest/SpecialPowersObserverAPI.js:SpecialPowersObserverAPI.prototype._receiveMessageAPI/messageListener:547
20:32:57     INFO -  resource://devtools/shared/event-emitter.js:EventEmitter_emit:147
20:32:57     INFO -  resource://gre/modules/Extension.jsm:emit:1085
20:32:57     INFO -  chrome://extensions/content/ext-test.js:.test.sendMessage:32
20:32:57     INFO -  resource://gre/modules/Extension.jsm:callFunction:385
20:32:57     INFO -  resource://gre/modules/Schemas.jsm:inject/stub:1008
20:32:57     INFO -  moz-extension://64af47f0-06f8-9145-ba7f-e5d5c23b7230/%7Bea8ac655-9d42-2a48-8aaa-12d94f658443%7D.js:checkWindow/<:16
20:32:57     INFO -  moz-extension://64af47f0-06f8-9145-ba7f-e5d5c23b7230/%7Bea8ac655-9d42-2a48-8aaa-12d94f658443%7D.js:checkWindow:14
20:32:57     INFO -  moz-extension://64af47f0-06f8-9145-ba7f-e5d5c23b7230/%7Bea8ac655-9d42-2a48-8aaa-12d94f658443%7D.js:updateWindow/<:33
See Also: → bug 1256018

Comment 1

2 years ago
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 5
* try: 3
* fx-team: 3

Platform breakdown:
* osx-10-10: 11

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255983&startday=2016-03-14&endday=2016-03-20&tree=all

Comment 2

2 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* try: 2

Platform breakdown:
* osx-10-10: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255983&startday=2016-03-21&endday=2016-03-27&tree=all

Updated

2 years ago
Whiteboard: triaged

Comment 3

a year ago
Bulk assigning P3 to all open intermittent bugs without a priority set in Firefox components per bug 1298978.
Priority: -- → P3

Updated

a year ago
See Also: → bug 1307759

Updated

a year ago
Component: WebExtensions: Untriaged → WebExtensions: Frontend

Comment 4

9 months ago
None since around May 2016.

https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1255983&startday=2016-03-21&endday=2017-04-30&tree=all
Status: NEW → RESOLVED
Last Resolved: 9 months ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.